#include<iostream>
using namespace std;
int main()
{
	std::ios::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);
	int niz[30000],n,k,i,t=0;
	cin>>n>>k;
	for(i=0;i<n;i++)
	{
	cin>>niz[i];
	if(niz[i]==k)if(i==0)t=1;else cout<<i+1;
}
if(t==1)cout<<1;
}